import express from 'express'
import  {query, headers}  from './eventsRequest'
import dotenv from 'dotenv'
import axios from 'axios'
dotenv.config()

const {PORT, GQL_ENDPOINT} = process.env

const app = express()

app.get('/events', async (req, res) => {
  const response = await axios.post(GQL_ENDPOINT, JSON.stringify(query), {headers})
  .catch((err) => {
    console.log(err.response.data);
    res.status(400)
    res.send(`Something went wrong: ${err}`)
  })

  if (response && response.status === 200) {
    res.status(200)
    res.send(response.data)
  }  

})

app.listen(PORT, () => {
  console.log(`server is listening on port ${PORT}`)
})
